# PteroStats config
# If you need help, join our discord server here: https://discord.gg/zv6maQRah3

# Bot Configuration
token: 'MTExODQ0MTkzNzI4OTEwNTQyOA.G_Pq8M.jpCdT5o_OhNB68zG-OnMEyVa14vzUfV64-41yM'
presence:
    text: 'GCP.FULGERHOST.RO'
    type: 'watching' # can be 'watching', 'playing', 'listening', or 'competing'. for 'streaming' is not working for now
    status: 'online' # can be 'online', 'idle', 'dnd', or 'invisible'

# Discord Channel and Refresh Time Configuration
channel: '1118460505611325491'
refresh: 60 # How much time the bot will refresh the stats
timeout: 1 # How much time to wait some node to respond to the bot (if you change this, it will add more time to refresh the stats)

# Panel Configuration
panel:
    url: 'https://gcp.fulgerhost.ro'
    key: 'ptla_ylPQVYqWli3rRIYnUjAGarMK0a6r2xaSodF9w9Qq3i3'

# Message and Embed Configuration
# leave '' if you want to disable option
message:
    content: ''
    attachment: '' # If you enable attachment on message it upload the attachment first before sending or editing message and it will delay the stats

embed:
    title: 'Status Panel Jocuri'
    color: '5865F2'
    description: 'Urmatorul update {{time}}' # You can use {{time}} to make "in X seconds" time format
    footer: 'Creat de Fulger'
    timestamp: true
    thumbnail: ''
    image: ''
    field:
        title: ''
        description: '' # You can use {{time}} to make "in X seconds" time format

# Message Button Configuration
button:
    enable: true
    btn1:
        label: 'FulgerHost Panel'
        url: 'https://gcp.fulgerhost.ro'
    btn2:
        label: 'FulgerHost'
        url: 'https://fulgerhost.ro'
    btn3:
        label: 'FulgerHost Status'
        url: 'https://status.fulgerhost.ro'
    btn4:
        label: ''
        url: ''
    btn5:
        label: ''
        url: ''

# Status Message Configuration
# How to use custom emoji: https://github.com/HirziDevs/PteroStats#using-custom-emoji
status:
    online: ':green_circle: Online'
    offline: ':red_circle: Offline'

# Nodes Settings
# How to get nodes id: https://github.com/HirziDevs/PteroStats#blacklist-nodes
nodes_settings:
    blacklist: [] # You can add node id to remove the node from status embed (Example: "blacklist: [1]")
    details: false # enable nodes details like memory and disk
    servers: false
    location: true
    allocations: true
    unit: 'gb' # You can use "gb", "mb", "tb", or "percent"

# Panel Users and Servers Settings
panel_settings:
    status: false # enable panel stats under nodes stats
    servers: false
    users: false

# Mentions a User or Role if some nodes are offline (this feature is still in testing, please report if you have a problem)
mentions: # to enable atleast put 1 ID on user or role bellow
    user: ['880558678909026305'] # Put User ID here (Example: "user: ['548867757517570058', '816219634390663230']")
    role: [] # Put Role ID here (Example: "role: ['796083838236622858', '858198863973187585']")
    channel: '932250940872998992' # Put Channel ID here for the logging

# Log error to console if server offline (enable this if you have a problem that you wanted to report)
log_error: false # set to "true" to enable